.TH dbminit() "" "" "DBM Function (libgdbm)"
.PC "Open a DBM data base"
.B "#include <dbm.h>"
\fBint dbminit(\fIdatabase\^\fB)\fR
\fBchar *\fIdatabase\^\fB;\fR
.PP
Function
.B dbminit()
opens and initializes a DBM data base.
.I database
points to the name of the data base to open.
.PP
Please note that unlike the GDBM function
.B gdbm_open()
or the DBM function
.BR dbm_open() ,
.B dbminit()
does not create a data base \(em it merely opens it for manipulation.
If the data base does not exist, you must first create it.
To do so, create the empty files \fIdatabase\fB.pag\fR and
\fIdatabase\fB.dir\fR.
.PP
If all goes well,
.B dbminit()
returns zero.
If something goes wrong, it returns a negative value.
.SH "See Also"
.XR "dbm.h," dbm.h
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
